WordPress.org

Plugin Directory

RS Head Cleaner Plus

This plugin cleans up a number of issues, doing the work of multiple plugins, improving speed, efficiency, security, SEO, and user experience.

1.4.1

released 07/10/15

  • Improved page load speed, and improved Google PageSpeed, Yahoo YSlow, and GTmetrix scores.
  • Improved compatibility with certain themes and scripts.
  • Improved handling of jQuery and Contact Form 7 scripts. This is one of the few minification plugins that handles these correctly.
  • Added a second concatenated and minified JavaScript in the head to streamline scripts that cannot be moved to the footer without breaking functionality.

1.4

released 06/27/15

  • Added a minimum required PHP version of 5.3, as we are no longer supporting PHP 5.2. The PHP team stopped supporting PHP 5.2 back in 2011, and even PHP 5.3 reached its end of life in August 2014. WordPress has a current minimum requirement of 5.2.4, but PHP 5.4 is recommended - see the WordPress requirements. It's extremely important that users stay up to date with the most recent version of WordPress (currently 4.1.1) and a reasonably up-to-date version of PHP for security, functionality, and website performance. (Not only are the newer versions more secure, but they are faster, so its a double win.) We recommend PHP 5.4 or higher, especially if you care about optimizing your site's speed. Also, see PHP Unsupported Branches for more info.
  • Modified the deactivation and uninstall functions to clean up the files in the old folder location as well.
  • Fixed a bug where CSS & JS cache files were not being written in certain situations.

1.3.9

released 06/26/15

  • Added gzip compression and far future Expires headers to concatenated CSS and JS files.
  • Moved the plugin's cache folder into the /wp-content/cache/ folder. New location is /wp-content/cache/rshcp/.
  • Changed the cache file naming system to utilize a faster method.
  • Fixed a bug with login/registration pages not loading scripts properly.

1.3.8

released 06/20/15

  • Fixed a bug with the JavaScript and CSS compression.
  • Added a feature to remove HTML comments and blank lines in the HTML code.

1.3.7

released 04/22/15

  • Fixed some bugs with the JavaScript and CSS compression.
  • Added an .htaccess file to the rs-head-cleaner directory to control browser access to certain files.
  • Increased minimum required WordPress version to 3.8.
  • Made various code improvements.

1.3.6

released 03/06/15

  • Made various minor code improvements.

1.3.5

released 03/03/15

  • Added a function that will clear the JavaScript & CSS cache files each time the plugin is deactivated manually through the dashboard (but not on automatic or bulk plugin upgrades). If you would like to manually clear the cache, simply deactivate and reactivate the plugin. (If you're using a page caching plugin, just be sure to also clear that plugin's cache as well at the same time to prevent related issues.)
  • Fixed a minor bug in the uninstall function.

1.3.4

released 03/01/15

  • Added an uninstall function that completely uninstalls the plugin and removes all cache files, options, data, and traces of its existence when it is deleted through the dashboard.
  • Added a minor JavaScript compatibility fix for Twenty Fourteen and similar themes.

1.3.3

released 01/19/15

  • Fixed a minor bug.
  • Increased minimum required WordPress version to 3.7.

1.3.2

released 12/18/14

  • Added additional security checks.
  • Various code improvements.
  • Fixed a bug that caused the plugin to attempt to cache web font files.

1.3.1

released 07/12/14

  • Added additional security checks.
  • Fixed a minor bug.

1.3

released 07/03/14

  • Added the Combine/Minify/Cache CSS & JavaScript feature.

1.1.1

released 06/17/14

  • Updated some features.

1.1.0.3

released 04/28/14

  • Fixed a bug that caused an error message on certain server configurations.

1.1.0.2

released 04/13/14

  • Added additional security checks.

1.1.0.1

released 04/04/14

  • Minor code improvements.

1.1

released 03/26/14

  • Added feature to remove version numbers from CSS and JS links in the HEAD.

1.0

released 03/17/14

  • Initial release.

Requires: 3.8 or higher
Compatible up to: 4.2.3
Last Updated: 2015-7-10
Active Installs: 600+

Ratings

4.4 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

4 people say it works.
0 people say it's broken.

100,1,1 100,1,1 100,1,1 100,1,1 100,1,1
100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1
100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1
100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1
100,2,2 100,2,2 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,2,2 100,2,2 100,1,1
100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,2,2 100,2,2 100,1,1
100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,2,2 100,2,2 100,1,1
100,1,1 100,1,1 100,1,1 100,1,1 100,2,2 100,4,4
100,2,2 100,4,4 100,4,4 100,1,1
100,2,2 100,4,4 100,1,1 100,4,4 100,4,4
100,4,4 100,1,1 100,4,4 100,4,4
50,2,1 100,1,1 100,3,3 100,1,1 100,1,1 100,1,1 100,4,4 100,4,4 100,1,1 100,4,4 100,1,1 100,4,4
100,1,1 100,1,1 100,3,3 100,1,1 100,1,1 100,1,1 100,4,4 100,4,4 100,1,1 100,1,1
100,4,4 100,4,4 100,1,1
100,4,4 100,4,4 100,4,4
100,4,4 100,4,4 100,1,1 100,4,4 100,1,1 100,4,4
100,4,4 100,1,1 100,4,4 100,1,1 100,4,4
100,1,1 100,3,3 100,1,1 100,1,1 100,1,1 100,4,4 100,4,4 100,1,1 100,4,4 100,1,1 100,4,4
100,2,2 100,1,1 100,1,1 100,1,1 100,4,4 100,4,4 100,3,3 100,1,1
100,4,4 100,4,4 100,2,2 100,3,3
100,4,4 100,4,4 100,3,3 100,3,3
100,4,4 100,4,4 100,1,1 100,4,4 100,1,1 100,4,4
100,4,4 100,1,1 100,4,4 100,1,1 100,4,4
100,4,4 100,4,4 100,1,1 100,4,4 100,2,2 100,4,4
100,4,4 100,4,4 100,1,1 100,4,4 100,2,2 100,4,4
100,1,1 100,4,4 100,1,1 80,5,4 100,2,2 100,4,4
100,4,4